View Issue Details

IDProjectCategoryView StatusLast Update
0001057PartDesignBugpublic2013-04-17 15:18
ReportercodeasylumAssigned Toyorik 
PrioritynormalSeveritycrashReproducibilityalways
Status closedResolutionfixed 
Product Versiontrunk 
Target VersionFixed in Version0.14 
Summary0001057: FreeCAD crashes on Transform
DescriptionHow to Reproduce:

Open the appended File v-tail.fcstd
1.) Mark the item DWire.
2.) Use right mouse button on DWire and just select Transform but don't actually perform a Transformation.
3.) Use right mouse button on DWire again and select Transform again.
4.) FreeCAD crashes with the following output:

FreeCAD 0.13, Libs: 0.13R1904 (Git)

Coin warning in SoEventCallback::removeEventCallback(): tried to remove non-existent callback function
Segmentation fault (core dumped)
Additional InformationFreeCAD 0.13, Libs: 0.13R1904 (Git)
© Juergen Riegel, Werner Mayer, Yorik van Havre 2001-2011
  ##### #### ### ####
  # # # # # #
  # ## #### #### # # # # #
  #### # # # # # # # ##### # #
  # # #### #### # # # # #
  # # # # # # # # # ## ## ##
  # # #### #### ### # # #### ## ## ##

pycollada not found, collada support will be disabled.
Coin warning in SoEventCallback::removeEventCallback(): tried to remove non-existent callback function
Segmentation fault (core dumped)
TagsNo tags attached.

Activities

2013-03-15 10:29

 

v-tail.fcstd (14,030 bytes)

yorik

2013-03-15 18:31

administrator   ~0002984

I'll have a look!

codeasylum

2013-03-16 10:18

reporter   ~0002986

Just created a video on howto reproduce the crash.
http://www.youtube.com/watch?v=rC5MNJArCL4

yorik

2013-04-17 15:18

administrator   ~0003069

Fixed in commit bfb5734

Issue History

Date Modified Username Field Change
2013-03-15 10:29 codeasylum New Issue
2013-03-15 10:29 codeasylum File Added: v-tail.fcstd
2013-03-15 18:20 yorik Status new => assigned
2013-03-15 18:20 yorik Assigned To => yorik
2013-03-15 18:31 yorik Note Added: 0002984
2013-03-16 10:18 codeasylum Note Added: 0002986
2013-04-17 15:18 yorik Note Added: 0003069
2013-04-17 15:18 yorik Status assigned => closed
2013-04-17 15:18 yorik Resolution open => fixed
2013-04-17 15:18 yorik Fixed in Version => 0.14